Name:		gtkhash
Version:	1.1.1
Release:	%mkrel 1
Summary:	GTK+ utility for computing message digests or checksums
License:	GPLv2+
Group:		File tools
Url:		https://github.com/tristanheaven/gtkhash
Source0:	https://github.com/tristanheaven/gtkhash/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:  autoconf
BuildRequires:  gnome-common
BuildRequires:	gettext-devel
BuildRequires:	mhash-devel
BuildRequires:	GConf2-devel
BuildRequires:	libb2-devel
BuildRequires:	libnettle-devel
BuildRequires:	libgtk+2.0_0-devel
BuildRequires:	libgcrypt-devel

%description
GtkHash is a GTK+ utility for computing message digests or checksums.
Currently supported hash functions include:
  * MD2, MD4 and MD5
  * SHA1, SHA224, SHA256, SHA384 and SHA512,
  * RIPEMD128, RIPEMD160, RIPEMD256 and RIPEMD320
  * TIGER128, TIGER160 and TIGER192
  * HAVAL128-3, HAVAL160-3, HAVAL192-3, HAVAL224-3 and HAVAL256-3
  * SNEFRU128 and SNEFRU256
  * ADLER32, CRC32, GOST and WHIRLPOOL

This package contains the GTK+2 version of the program.

%package        -n caja-%{name}
Summary:        Caja extension for computing checksums and more using %{name}
Group:          Graphical desktop/Mate
BuildRequires:  mate-file-manager-devel
Requires:       %{name} = %{version}-%{release}

%description    -n caja-%{name}
The GtkHash extension for Caja which allows users to compute
message digests or checksums using the mhash library.
Currently supported hash functions include MD5, MD6, SHA1,
SHA256, SHA512, RIPEMD, TIGER and WHIRLPOOL.

#%package        -n thunar-%{name}
#Summary:        Thunar extension for computing checksums and more using %{name}
#Group:          Graphical desktop/Xfce
#BuildRequires:	 thunar-devel
#Requires:       %{name} = %{version}-%{release}

#%description    -n thunar-%{name}
#The GtkHash extension for Thunar which allows users to compute
#message digests or checksums using the mhash library.
#Currently supported hash functions include MD5, MD6, SHA1,
#SHA256, SHA512, RIPEMD, TIGER and WHIRLPOOL.

%prep
%setup -q

%build
./autogen.sh
%configure2_5x \
	--with-gtk=2.0 \
	--enable-linux-crypto \
	--enable-gcrypt \
	--enable-glib-checksums \
	--enable-mhash \
	--enable-caja \
	--disable-nautilus \
	--disable-schemas-compile \
#	--enable-thunar

%make V=1

%install
rm -rf %{buildroot}
%makeinstall_std

# remove these
find %{buildroot} -name '*.la' -exec rm -f {} ';'

desktop-file-install --vendor="" \
  --add-category="FileTools;X-MandrivaLinux-System-FileTools;" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README.md TODO
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gtkhash*.gschema.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*

%files -n caja-%{name}
%{_libdir}/caja/extensions-2.0/libgtkhash-properties-caja.so
%{_datadir}/appdata/caja-gtkhash.metainfo.xml

#%files -n thunar-%{name}
#%{_libdir}/thunarx-2/libgtkhash-properties-thunar.so
#%{_datadir}/appdata/thunar-gtkhash.metainfo.xml


%changelog
* Sat Mar 31 2018 adrianomorselli <adrianomorselli> 1.1.1-1uplos2018
- update

* Sat Mar 31 2018 adrianomorselli <adrianomorselli> 0.6.0-2uplos2018
- rebuild against new libgcrypt
